Subject: Re: linux-next: build failure after merge of the char-misc tree

From: Richard Weinberger <[email-masked]>
Date: Tue, 2 Apr 2013 08:49:56 +0200

Am Tue, 2 Apr 2013 17:29:50 +1100
schrieb Stephen Rothwell <[email-masked]>:

> Hi all,
> 
> After merging the char-misc tree, today's linux-next build (x86_64
> allmodconfig) failed like this:
> 
> drivers/misc/cs5535-mfgpt.c:30:3: warning: missing terminating "
> character [enabled by default] drivers/misc/cs5535-mfgpt.c:31:31:
> warning: missing terminating " character [enabled by default]
> drivers/misc/cs5535-mfgpt.c:384:0: error: unterminated argument list
> invoking macro "MODULE_PARM_DESC" drivers/misc/cs5535-mfgpt.c:27:1:
> error: expected '=', ',', ';', 'asm' or '__attribute__' at end of
> input
> 
> Caused by commit 945480b159aa ("cs5535-mfgpt: Add another reset
> method").
> 
> I have used the char-misc tree from next-20130328 for today.

New patch sent.
A terminating quote was missing.
Looks like I fat fingered it while editing the patch file by hand...

Sorry for that,
//richard